### Constructor

# Clutter ColorStateParams new_full

#### Declaration [src]

    ClutterColorState*
    clutter_color_state_params_new_full (
      ClutterContext* context,
      ClutterColorspace colorspace,
      ClutterTransferFunction transfer_function,
      ClutterPrimaries* primaries,
      float gamma_exp,
      float min_lum,
      float max_lum,
      float ref_lum
    )

#### Description [src]

Create a new ClutterColorStateParams object with all possible parameters. Some arguments might not be valid to set with other arguments.

#### Parameters

`context`

  Type: `ClutterContext`

  No description available.

  The data is owned by the caller of the function.

`colorspace`

  Type: `ClutterColorspace`

  No description available.

`transfer_function`

  Type: `ClutterTransferFunction`

  No description available.

`primaries`

  Type: `ClutterPrimaries`

  No description available.

  The data is owned by the caller of the function.

`gamma_exp`

  Type: `float`

  No description available.

`min_lum`

  Type: `float`

  No description available.

`max_lum`

  Type: `float`

  No description available.

`ref_lum`

  Type: `float`

  No description available.

#### Return value

Type: `ClutterColorState`

A new ClutterColorState object.

The caller of the function takes ownership of the data, and is responsible for freeing it.